package com.ruoyi.cron;

import cn.hutool.core.exceptions.ExceptionUtil;
import cn.hutool.core.util.StrUtil;

public interface TaskLog {

  void log(String msg);

  default void log(String msg,Object... args) {
    log(StrUtil.format(msg,args));
  }
  default void log(String msg, Throwable t) {
    log(msg+"\n"+ ExceptionUtil.stacktraceToString(t));
  }

  default void log(String msg, Throwable t,Object... args){
    log(StrUtil.format(msg,args),t);
  }
}
